org.richfaces.fragment.message

## Class AbstractMessage.AdvancedMessageInteractionsImpl

- java.lang.Object
- - org.richfaces.fragment.message.AbstractMessage.AdvancedMessageInteractionsImpl

- All Implemented Interfaces:
    Message.AdvancedMessageInteractions
  Direct Known Subclasses:
    RichFacesMessage.AdvancedRichMessageInteractions, RichFacesMessages.MessageImpl.AdvancedMessageInMessagesInteractions, RichFacesNotifyMessage.AdvancedNotifyMessageInteractionsImpl
  Enclosing class:
    AbstractMessage

      public abstract class AbstractMessage.AdvancedMessageInteractionsImpl
      extends Object
      implements Message.AdvancedMessageInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMessage.AdvancedMessageInteractionsImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.arquillian.graphene.GrapheneElement` | `getRootElement()`
    `boolean` | `isVisible()`
    `WaitingWrapper` | `waitUntilMessageIsNotVisible()`
    `WaitingWrapper` | `waitUntilMessageIsVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.message.Message.AdvancedMessageInteractions

      `getDetailElement, getSummaryElement`

- - ### Constructor Detail

    - #### AbstractMessage.AdvancedMessageInteractionsImpl

          public AbstractMessage.AdvancedMessageInteractionsImpl()

  - ### Method Detail

    - #### getRootElement

          public org.jboss.arquillian.graphene.GrapheneElement getRootElement()

      Specified by:
        `getRootElement` in interface `Message.AdvancedMessageInteractions`

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `Message.AdvancedMessageInteractions`

    - #### waitUntilMessageIsNotVisible

          public WaitingWrapper waitUntilMessageIsNotVisible()

      Specified by:
        `waitUntilMessageIsNotVisible` in interface `Message.AdvancedMessageInteractions`

    - #### waitUntilMessageIsVisible

          public WaitingWrapper waitUntilMessageIsVisible()

      Specified by:
        `waitUntilMessageIsVisible` in interface `Message.AdvancedMessageInteractions`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.